
.container {
    height: 100vh;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
}

.editBox {
    border: 3px solid #520974;
    height: 400px;
    width: 700px;
    border-radius: 30px;
    padding: 20px;

    display: grid;
    grid-template-rows: 1fr 4fr 1fr;
}

.editBox h2 {
    color: #520974;
    font-size: 44px;
    text-align: center;
    font-family: 'Inter', serif;
}

.editInputContainer {
    display: grid;
    grid-template: repeat(4, 50px) / repeat(2, 1fr);
    grid-gap: 10px;
}

.editInputContainer input {
    border-radius: 10px;
    border: 2px solid #520974;
    outline: none;
    font-size: 24px;
    padding-left: 5px;
}

.editButton {
    border-radius: 10px;
    border: 2px solid #520974;
    outline: none;
    font-size: 24px;
    text-align: center;
    background-color: white;
    margin: 5px 20px;
    color: #520974;
    transition: 0.3s;
}

.editButton.active:hover,
.editButton.active {
    background-color: gray;
    color: white;
    border-color: gray;
}

.editButton:hover {
    transition: 0.3s;
    background-color: #520974;
    color: white;
}

.confirmEditButtonContainer {
    display: flex;
    justify-content: center;
    flex-direction: row;
}

.confirmEditButtonContainer button {
    border: 2px solid #520974;
    background-color: white;
    border-radius: 20px;
    color: #520974;
    font-size: 28px;
    outline: none;
    margin: 5px;

    width: 170px;
    transition: 0.3s;
}

.confirmEditButtonContainer button:hover {
    background-color: #520974;
    color: white;
    transition: 0.3s;
    margin: 0;
    width: 180px;
    font-size: 36px;
}